# Uses of Interface
org.eclipse.emf.compare.match.eobject.IEObjectMatcher

Packages that use IEObjectMatcher
Package
Description
org.eclipse.emf.compare.match
org.eclipse.emf.compare.match.eobject
org.eclipse.emf.compare.match.impl

## Uses of IEObjectMatcher in org.eclipse.emf.compare.match

Methods in org.eclipse.emf.compare.match that return IEObjectMatcher
Modifier and Type
Method
Description
`static IEObjectMatcher`
DefaultMatchEngine.`createDefaultEObjectMatcher(UseIdentifiers useIDs)`
Creates and configures an `IEObjectMatcher` with the strategy given by `useIDs`.
`static IEObjectMatcher`
DefaultMatchEngine.`createDefaultEObjectMatcher(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry)`
Creates and configures an `IEObjectMatcher` with the strategy given by `useIDs`.
`static IEObjectMatcher`
DefaultMatchEngine.`createDefaultEObjectMatcher(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, EqualityHelperExtensionProvider.Descriptor.Registry equalityHelperExtensionProviderRegistry)`
Creates and configures an `IEObjectMatcher` with the strategy given by `useIDs`.
`protected final IEObjectMatcher`
DefaultMatchEngine.`getEObjectMatcher()`
Returns the EObject matcher associated with this match engine.
Constructors in org.eclipse.emf.compare.match with parameters of type IEObjectMatcher
Modifier
Constructor
Description
``
`DefaultMatchEngine(IEObjectMatcher matcher, IComparisonFactory comparisonFactory)`
This default engine delegates the pairing of EObjects to an `IEObjectMatcher`.
``
`DefaultMatchEngine(IEObjectMatcher eObjectMatcher, IResourceMatcher resourceMatcher, IComparisonFactory comparisonFactory)`
This default engine delegates the pairing of EObjects to an `IEObjectMatcher`.

## Uses of IEObjectMatcher in org.eclipse.emf.compare.match.eobject

Classes in org.eclipse.emf.compare.match.eobject that implement IEObjectMatcher
Modifier and Type
Class
Description
`class`
`IdentifierEObjectMatcher`
This implementation of an `IEObjectMatcher` will create `Match`es based on the input EObjects identifiers (either XMI:ID or attribute ID) alone.
`class`
`ProximityEObjectMatcher`
This matcher is using a distance function to match EObject.
Constructors in org.eclipse.emf.compare.match.eobject with parameters of type IEObjectMatcher
Modifier
Constructor
Description
``
`IdentifierEObjectMatcher(IEObjectMatcher delegateWhenNoID)`
Creates an ID based matcher with the given delegate when no ID can be found.
``
`IdentifierEObjectMatcher(IEObjectMatcher delegateWhenNoID, com.google.common.base.Function<EObject,String> idComputation)`
Create an ID based matcher with a delegate which is going to be called when no ID is found for a given EObject.

## Uses of IEObjectMatcher in org.eclipse.emf.compare.match.impl

Constructors in org.eclipse.emf.compare.match.impl with parameters of type IEObjectMatcher
Modifier
Constructor
Description
``
`MatchEngineFactoryImpl(IEObjectMatcher matcher, IComparisonFactory comparisonFactory)`
Deprecated.
Using this will ignore any weight provider or equality helper extension provided through extension points.